﻿/* media.css */

div.section {
    background-color: rgb(10 10 12 / 0.80);
    border-radius: 20px;
    margin: 20px;
    padding: 20px;
}

h1 {
    text-align: center;
    margin: 40px 0;
    text-transform: uppercase;
}

h2 {
    display: inline-block;
    text-align: center;
    margin: 0 0 30px 0;
    font-variant: small-caps;
    background-color: #1c1c28;
    padding: 10px 60px;
    border-radius: 100px;
    width: 100%;
    border-radius: 7px;
}

img.icon {
    width: 48px;
    margin-top: 10px;
}

div.year {
    border: 2px solid #1c1c28;
    border-radius: 10px;
    padding: 15px;
}

    div.year::after {
        content: "";
        clear: both;
        display: block;
    }

div.meta {
    display: inline-block;
    /*background-color: #1c1c28;*/
    border-radius: 10px;
    margin-bottom: 10px;
    padding: 10px;
}

img.cover {
    width: 25%;
    border-radius: 10px;
    float: left;
    margin-right: 10px;
}

.two-col {
    display: flex;
    gap: 10px;
    align-items: stretch; /* default, but explicit */
}

    .two-col .col {
        flex: 1;
        padding: 5px;
        /*background-color: #1c1c28;*/
        border-radius: 10px;
        box-sizing: border-box;
    }

div.year h4 {
    margin: 10px 0 20px 0;
}

div.year ul,
div.year ul li {
    list-style-type: none;
}

    div.year ul li {
        margin: 2px;
    }

        div.year ul li a {
            display: block;
            background-color: #1c1c28;
            border-radius: 8px;
            padding: 10px;
            text-decoration: none;
            font-size: 13px;
            color: #aaadc8;
        }

            div.year ul li a:hover {
                color: #e7e9ff;
                background-color: #39394f;
            }

                div.year ul li a:hover::before {
                    color: #9ac256;
                    background-color: #39394f;
                }

            div.year ul li a::before {
                content: "▶ ";
                text-shadow: 0 0 5px black;
            }

div.cover {
    text-align: center;
}

div.player {
    display: inline-block;
    position: relative;
    width: 500px;
    padding: 10px;
    max-width: 100%;
    border: 1px solid white;
    border-radius: 10px;
    background-color: #1c1c28;
}

    div.player div.closeBtn {
        position: absolute;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        top: 10px;
        right: 10px;
        font-size: 30pt;
        width: 50px;
        height: 50px;
        background-color: #00000055;
        background-image: url('/img/close.png');
        background-position: center center;
        background-size: 40px 40px;
        background-repeat: no-repeat;
        border: 1px solid white;
        border-radius: 1000px;
        cursor: pointer;
        user-select: none;
        color: white;
    }

        div.player div.closeBtn:hover {
            background-color: #4e0d1f;
        }

    div.player img#AlbumArt {
        width: 100%;
        border-radius: 10px;
    }

    div.player h2 {
        margin: 0;
        font-size: 14pt;
        font-variant: normal;
    }

    div.player #Audio {
        width: 100%;
        padding: 20px;
    }

@media only screen and (max-width: 899px) {

    div.year img {
        float: none;
        width: 100%;
    }

    .two-col {
        display: block;
    }

        .two-col .col {
            flex: none;
        }
}
